searchNodes=[{"type":"module","title":"Ecto.Adapters.Snowflake","doc":"Adapter module for Snowflake.It uses the Snowflake REST API to communicate with Snowflake, with an earlier version set for JSON. There isn't an Elixir Arrow library (yet!), so it seems that setting an earlier Java version seems to give us back JSON results.One of the major notes is you will need to enable Snowflakes QUOTED_IDENTIFIERS_IGNORE_CASE setting, which you can find here: https://docs.snowflake.com/en/sql-reference/identifiers-syntax.html#third-party-tools-and-case-insensitive-identifier-resolutionNote that this can be done on an account or if needed on a session level which you can set below.FeaturesNothing yet :-(RoadmapFull query support (including joins, preloads and associations)Support for transactionsSupport for data migrationsSupport for ecto.create and ecto.drop operationsSupport for transactional tests via Ecto.Adapters.SQLThanksI just want to thank the ecto_sql library for being amazing, and being able to copy most of the decoding code from that.OptionsSnowflake is a little bit different than most other adapters (Postgres, MySQL, etc) as it communicates over HTTP and not a binary protocol. There is support for both waiting for a query (synchronous) and async queries.To add Snowflake to your app, you need to do the folowing:config :your_app, YourApp.Repo, ...Connection options:host - Server hostname, including https. Example: &quot;https://xxx.us-east-1.snowflakecomputing.com&quot;:username - Username for your account.:password - Password for your account.:warehouse - Warehouse to use on Snowflake. If none set, will use default for the account.:account_name - Account name. This is usually the name between the https:// and us-east-1 (or whatever region).:role - the role to connect with.:database - the database to connect to.:schema - the schema to connect to.:async - If set to true, will issue a query then connect every :async_interval to see if the query has completed.:async_query_interval - How often to check if the query has completed.:maintenance_database - Specifies the name of the database to connect to when creating or dropping the database. Defaults to &quot;info&quot;:pool - The connection pool module, defaults to DBConnection.ConnectionPool:connect_timeout - The timeout for establishing new connections (default: 30000):prepare - How to prepare queries, either :named to use named queries or :unnamed to force unnamed queries (default: :named):socket_options - Specifies socket configuration:show_sensitive_data_on_connection_error - show connection data and configuration whenever there is an error attempting to connect to the database","ref":"Ecto.Adapters.Snowflake.html"},{"type":"function","title":"Ecto.Adapters.Snowflake.ddl_logs/1","doc":"","ref":"Ecto.Adapters.Snowflake.html#ddl_logs/1"},{"type":"module","title":"Ecto.Adapters.Snowflake.Connection","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.build_explain_query/2","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#build_explain_query/2"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.column_definitions/2","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#column_definitions/2"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.comments_for_columns/2","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#comments_for_columns/2"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.comments_on/3","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#comments_on/3"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.comments_on/4","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#comments_on/4"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.if_do/2","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#if_do/2"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.options_expr/1","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#options_expr/1"},{"type":"function","title":"Ecto.Adapters.Snowflake.Connection.pk_definition/2","doc":"","ref":"Ecto.Adapters.Snowflake.Connection.html#pk_definition/2"},{"type":"module","title":"Snowflake.Ecto.UUID","doc":"","ref":"Snowflake.Ecto.UUID.html"},{"type":"function","title":"Snowflake.Ecto.UUID.embed_as/1","doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"Snowflake.Ecto.UUID.html#embed_as/1"},{"type":"function","title":"Snowflake.Ecto.UUID.equal?/2","doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"Snowflake.Ecto.UUID.html#equal?/2"},{"type":"function","title":"Snowflake.Ecto.UUID.load/1","doc":"Callback implementation for Ecto.Type.load/1.","ref":"Snowflake.Ecto.UUID.html#load/1"},{"type":"module","title":"SnowflakeExEcto.Type","doc":"Encodes a type to what Snowflake expects, or decodes a type from what Snowflake gives.","ref":"SnowflakeExEcto.Type.html"},{"type":"function","title":"SnowflakeExEcto.Type.decode/2","doc":"","ref":"SnowflakeExEcto.Type.html#decode/2"},{"type":"function","title":"SnowflakeExEcto.Type.encode/2","doc":"","ref":"SnowflakeExEcto.Type.html#encode/2"},{"type":"extras","title":"Changelog","doc":"Changelog","ref":"changelog.html"},{"type":"extras","title":"Changelog - [0.2.1] - 2023-12-16","doc":"Fix CTEs in Ecto 3.10 by using LimitExpr, thanks @humberaquino!Update Ecto to version 3.10, thanks @humberaquino!Bump hackney from 1.18.1 to 1.20.1 to prevent fix #12681","ref":"changelog.html#0-2-1-2023-12-16"},{"type":"extras","title":"Changelog - [0.1.0] - 2020-10-25","doc":"Initial public release","ref":"changelog.html#0-1-0-2020-10-25"},{"type":"extras","title":"SnowflakeExEcto","doc":"SnowflakeExEcto WIP, NOT PRODUCTION READY YETIntegrates Snowflake through snowflake_elixir driver with ecto_sql, which allows you to use your schemas with Snowflake!","ref":"readme.html"},{"type":"extras","title":"SnowflakeExEcto - Installation","doc":"Add snowflake_elixir_ecto to your list of dependencies in mix.exs:def deps do [ {:snowflake_elixir_ecto, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation"},{"type":"extras","title":"SnowflakeExEcto - Configuration","doc":"In your config/config.exs file, add the following:config :my_app, MyApp.Repo, username: &quot;yourusername&quot;, password: &quot;supersecret&quot;, host: &quot;https://xxx.your-region.snowflakecomputing.com&quot;, account_name: &quot;lol1234&quot;, database: &quot;SNOWFLAKE_TEST_DRIVER&quot;, schema: &quot;PUBLIC&quot;, role: &quot;ENGINEER&quot;, pool_size: 1, warehouse: &quot;COMPUTE_WH&quot;Then in your repo.ex:defmodule MyApp.Repo do use Ecto.Repo, otp_app: :my_app, adapter: Ecto.Adapters.Snowflake end","ref":"readme.html#configuration"},{"type":"extras","title":"SnowflakeExEcto - Connection options","doc":"* `:host` - Server hostname, including https. Example: &quot;https://xxx.us-east-1.snowflakecomputing.com&quot; * `:username` - Username for your account. * `:password` - Password for your account. * `:warehouse` - Warehouse to use on Snowflake. If none set, will use default for the account. * `:account_name` - Account name. This is usually the name between the https:// and us-east-1 (or whatever region). * `:database` - the database to connect to. * `:schema` - the schema to connect to. * `:async` - If set to true, will issue a query then connect every `:async_interval` to see if the query has completed.Data MappingWIP, TODO","ref":"readme.html#connection-options"},{"type":"extras","title":"SnowflakeExEcto - Snowflake Differences compared to a &quot;traditional&quot; RDBMS","doc":"Snowflake isn't like Postgres/MySQL or another database you might be use to. There are a few gotchas you need to watch out for.Before using this library, it's recommended that you learn how Snowflake works at a basic level.IndexingSnowflake does not support indexes, at all.Snowflake does not support unique indexes. You can create them, but it's not enforced. See contraintsInsertsSnowflake does not support RETURNING. Thoughts around how to handle this are hereSnowflake does not have UPSERT support.Data bindingSnowflake must insert integers as strings in the JSON for binding, so it's encoded as &quot;0&quot;, otherwise you'll get compilation error:\\nUnsupported data type 'java.lang.Integer'","ref":"readme.html#snowflake-differences-compared-to-a-traditional-rdbms"}]